package thesis.gui;

import java.awt.Dimension;
import java.awt.Graphics;
import java.awt.image.BufferedImage;

import javax.swing.JComponent;

public class ImagePanel extends JComponent {

  private static final long serialVersionUID = 1L;
  
  private int width;
  private int height;
  private BufferedImage image;
  
  public ImagePanel(int width, int height) {
    this.width = width;
    this.height = height;
  }
  
  @Override
  protected void paintComponent(Graphics g) {
    if (image != null) {
      if (width == image.getWidth() && height == image.getHeight()) {
        g.drawImage(image, 0, 0, null);
      } else {
        g.drawImage(image, 0, 0, width, height, null);
      }
    }
  }
  
  public void setImage(BufferedImage image) {
    this.image = image;
    repaint();
  }
  
  @Override
  public Dimension getMinimumSize() {
    return getPreferredSize();
  }
  
  @Override
  public Dimension getPreferredSize() {
    return new Dimension(width, height);
  }
  
  @Override
  public Dimension getMaximumSize() {
    return getPreferredSize();
  }

}
